package com.jeeplus.test.cw.contractRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * @author: 王强
 * @create: 2022-11-10 16:06
 **/
@Data
@TableName(value = "cw_work_contract_file")
public class ContractFile extends BaseEntity {

    /**
     * 合同登记主键值
     */
    private String contractInfoId;
    /**
     * 流程id
     */
    private String procInsId;
    private String processDefinitionId;
    /**
     * 归档人
     */
    private String fileCreateName;
    /**
     * 归档状态
     */
    private String filedType;
    /**
     * 归档完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String filedData;
    /**
     * 案卷号
     */
    private String filedNo;
    /**
     * 确认案卷号
     */
    private String confirmFiledNo;

}
