package com.jeeplus.test.cw.contractRegistration.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.cw.contractRegistration.domain.ContractInfo;
import com.jeeplus.test.workContract.domain.WorkContractInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-08 10:47
 **/
public interface ContractInfoMapper extends BaseMapper<ContractInfo> {

    IPage<ContractInfo> findPageList(Page<ContractInfo> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    ContractInfo findById (@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("status")String status);
}
